@import url('sb-admin.min.css?180223092021');
@import url('theme.css?172025092021');
@import url('bootstrap-select.min.css');
@import url('dataTables.bootstrap4.min.css');
/*@import url('jquery.dataTables.min.css');*/
@import url('buttons.dataTables.min.css');
@import url('animate.min.css?173113102021');
@import url('iziToast.min.css?180223092021');
@import url('fontawesome.min.css');

body {
    height: fit-content;
}
body::-webkit-scrollbar {
    width: 0.8em;
    height: 0.5rem;
}

body::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 2px rgba(0,0,0,0.3);
    border-radius: 2px;
}

body::-webkit-scrollbar-thumb {
    background-color: var(--blue);
    outline: 2px solid var(--blue);
    border-radius: 2px;
}
.turbolinks-progress-bar {
    height: 4px;
    background: var(--white);
}
.sidebar-icon {
    font-size: 0.9rem;
    width: 1rem;
}
.badge-100 {
    font-size: 100%;
}
#content-wrapper {
    /*margin-left: 225px;*/
}

.page-link {
    font-size: .6rem;
}
.page-header .page-header-content {
    padding-top: 1rem;
    padding-bottom: 1rem;
}
.page-header .page-header-content .page-header-title {
    font-size: 1rem;
}
.nav-tabs-scroll {
    width: 100%;
    overflow: hidden;
    display: -webkit-box;
    overflow-x: scroll;
}

.nav-tabs-scroll::-webkit-scrollbar {
    width: 0.2em;
    height: 0;
}

.nav-tabs-scroll::-webkit-scrollbar-track {
    -webkit-box-shadow: none;
    border-radius: 2px;
}

.nav-tabs-scroll::-webkit-scrollbar-thumb {
    background-color: #e74a3b;
    outline: none;
    border-radius: 2px;
}

.nav-tabs .nav-item.show .nav-link,
.nav-tabs .nav-link.active {
    color: white;
    font-weight: bold;
    background-color: var(--primary);/* #858796;*/
    background-image: linear-gradient(180deg,var(--primary) 10%,var(--primary) 100%);
    background-size: cover;
}
.nav-link.active button {
    color: var(--white);
}

.nav-pills .nav-link.active,
.nav-pills .show>.nav-link {
    color: #fff;
    font-weight: bold;
    /*background-color: #e74a3b;*/
}

.headerProgesssbar {
    position: fixed;
    width: 100%;
    height: 100%;
    z-index: 2000;
}
.headerProgesssbar > div {
    width: 24rem;
    padding: 2rem 1rem;
    background: rgba(0, 0, 0, 0.7);
    margin: 0 auto;
    box-shadow: 0 0 1em black;
    border-radius: 0 0 1em 1em;
}

.nodisplay {
    transition: all 200ms;
    display: none !important;
}

.cursor-pointer {
    cursor: pointer;
}
.custom-switch label {
    font-size: 1.2rem;
    padding-top: .38rem;
}

.dropdown-menu.show {
    box-shadow: 0 0 5px #00000059;
}

.card .card-header[data-toggle=collapse]::after {
    top: -.6rem;
}

@media (min-width: 768px) {
    .sidebar .nav-item .nav-link {
        padding: .9rem;
    }
}

@media (min-width: 992px) {
    .modal-lg,
    .modal-xl {
        max-width: 1200px;
    }
}

.text-small {
    font-size: small !important;
}

.swal-modal {
    width: 370px;
}
.swal-icon:first-child {
    margin-top: 20px;
}

.swal-icon {
    width: 50px;
    height: 50px;
    border-width: 4px;
    border-style: solid;
    border-radius: 50%;
    padding: 0;
    position: relative;
    box-sizing: content-box;
    margin: 10px auto;
}

.swal-icon--success__ring {
    width: 70px;
    height: 70px;
    left: -18px;
    top: -4px;
}
.swal-icon--success__line--long {
    width: 44px;
    right: -2px;
    top: 36px;
}
.swal-icon--success__line--tip {
    width: 25px;
    left: -5px;
    top: 43px;
}
.swal-icon--success__hide-corners {
    width: 6px;
    height: 75px;
    left: 20px;
    top: 8px;
}

.swal-icon--warning__body {
    width: 5px;
    height: 20px;
    top: 10px;
    border-radius: 2px;
    margin-left: -2px;
}
.swal-icon--error__line {
    position: absolute;
    height: 4px;
    width: 17px;
    background-color: #f27474;
    display: block;
    top: 24px;
    border-radius: 2px;
}
.swal-icon--warning__dot {
    width: 7px;
    height: 7px;
    border-radius: 50%;
    margin-left: -4px;
    bottom: -11px;
}

.swal-title {
    color: rgba(0,0,0,.65);
    font-weight: 600;
    text-transform: none;
    position: relative;
    display: block;
    padding: 12px 12px;
    font-size: 20px;
    line-height: normal;
    text-align: center;
    margin-bottom: 0;
}

.swal-text {
    font-size: 14px;
    position: relative;
    float: none;
    line-height: normal;
    vertical-align: top;
    text-align: center;
    display: inline-block;
    margin: 0;
    padding: 0 10px;
    font-weight: 400;
    color: rgba(0,0,0,.64);
    max-width: calc(100% - 20px);
    overflow-wrap: break-word;
    box-sizing: border-box;
}

.swal-footer {
    text-align: center;
    margin-top: 12px;
    padding: 12px 12px;
    border-radius: inherit;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}
.swal-button {
    border: none;
    box-shadow: none;
    border-radius: 5px;
    font-weight: 600;
    font-size: 14px;
    padding: 8px 20px;
    margin: 0;
    cursor: pointer;
}

.form-control-sm {
    font-size: .75rem;
}

@keyframes loading {
    0% {
        transform-origin: 100% 100%;
        transform: rotate(0deg);
    }
    100% {
        transform-origin: 100% 100%;
        transform: rotate(360deg);
    }
}
.loading {
    width: 24px;
    height: 24px;
    margin: 5px 5px 0 0;
}
.loading:before {
    /*position: absolute;*/
    display: block;
    content: "";
    z-index: 12;
    /*top: 2px;*/
    /*left: 2px;*/
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background-color: transparent;
}
.loading:after {
    position: relative;
    display: block;
    top: -23px;
    left: -1px;
    content: "";
    z-index: 11;
    width: 12px;
    height: 12px;
    border-radius: 200px 0 0;
    /*background: linear-gradient(45deg, rgba(0, 0, 0, 0) 0, #459ad7 50%, #459ad7 100%);*/
    background: linear-gradient(45deg, rgba(0, 0, 0, 0) 0, #459ad7 50%, white 100%);
    animation: loading 0.5s linear infinite;
}

/**********************************  Flotting label form  ***************************************/
.form-signin {
    width: 100%;
    max-width: 420px;
    padding: 15px;
    margin: auto;
}

.form-label-group {
    position: relative;
    margin-bottom: 1rem;
}

.form-label-group > input,
.form-label-group > label {
    height: 2.60rem;
    padding: .75rem;
}

.form-label-group > label {
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    width: 100%;
    margin-bottom: 0; /* Override default `<label>` margin */
    font-size: .9em !important;
    line-height: 1.5;
    color: #495057;
    pointer-events: none;
    cursor: text; /* Match the input under the label */
    border: 1px solid transparent;
    border-radius: .25rem;
    transition: all .1s ease-in-out;
}

.form-label-group input::-webkit-input-placeholder {
    color: transparent;
}

.form-label-group input:-ms-input-placeholder {
    color: transparent;
}

.form-label-group input::-ms-input-placeholder {
    color: transparent;
}

.form-label-group input::-moz-placeholder {
    color: transparent;
}

.form-label-group input::placeholder {
    color: transparent;
}

.form-label-group input:not(:placeholder-shown) {
    padding-top: 1.25rem;
    padding-bottom: .25rem;
}

.form-label-group input:not(:placeholder-shown) ~ label {
    padding-top: .25rem;
    padding-bottom: .25rem;
    font-size: 12px;
    color: #777;
}

.custom-select-sm {
    font-size: .65rem !important;
}

/* Fallback for Edge
-------------------------------------------------- */
@supports (-ms-ime-align: auto) {
    .form-label-group > label {
        display: none;
    }
    .form-label-group input::-ms-input-placeholder {
        color: #777;
    }
}

/* Fallback for IE
-------------------------------------------------- */
@media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
    .form-label-group > label {
        display: none;
    }
    .form-label-group input:-ms-input-placeholder {
        color: #777;
    }
}
/************************************************************************/
.space{padding-bottom: 1.5em!important;}
